| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
NLADesign Class Reference
NLA

Simple description of NLA design, viewed from user's perspective. More...

`#include <nladesign.h>`

## Public Member Functions
| NLADesign ()
| NLADesign (const NLADesign &)
| ~NLADesign ()
void | clear ()
bool | isSupervised () const
NLADesign & | operator= (const NLADesign &sd)

## Static Public Member Functions
static int | finalNrHiddenNodes (int usrsz, int nrinp)

## Public Attributes
bool | classification_
TypeSet< int > | hiddensz_
BufferStringSet | inputs_
BufferStringSet | outputs_

## Detailed Description

Simple description of NLA design, viewed from user's perspective.

Note: Currently NN only. If hiddensz == 0, it will be set to nrinputs / 2, with a minimum of 1. If nr of outputs == 0, unsupervised network will be assumed. That means the actual nr of output nodes is 2 (segment and match). If classification is true, two extra output nodes will be added ('Classification' and 'Confidence').

<>

## Constructor & Destructor Documentation

## ◆ NLADesign() [1/2]

NLADesign::NLADesign | ( |  | ) |

## ◆ NLADesign() [2/2]

NLADesign::NLADesign | ( | const NLADesign & |  | ) |

## ◆ ~NLADesign()

NLADesign::~NLADesign | ( |  | ) |

## Member Function Documentation

## ◆ clear()

void NLADesign::clear | ( |  | ) |
| inline

## ◆ finalNrHiddenNodes()

static int NLADesign::finalNrHiddenNodes | ( | int | usrsz,
|  | int | nrinp )
| inline static

## ◆ isSupervised()

bool NLADesign::isSupervised | ( |  | ) | const
| inline

## ◆ operator=()

NLADesign & NLADesign::operator= | ( | const NLADesign & | sd | ) |
| inline

## Member Data Documentation

## ◆ classification_

bool NLADesign::classification_

## ◆ hiddensz_

TypeSet<int> NLADesign::hiddensz_

## ◆ inputs_

BufferStringSet NLADesign::inputs_

## ◆ outputs_

BufferStringSet NLADesign::outputs_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025